libzypp 17.37.10

SolvableSpec.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/base/String.h>`
`#include <zypp/sat/SolvableType.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Functions
| zypp::sat::SolvableSpec ()
| zypp::sat::~SolvableSpec ()
| Dtor.
| zypp::sat::SolvableSpec (const SolvableSpec &)=default
| zypp::sat::SolvableSpec (SolvableSpec &&) noexcept=default
SolvableSpec & | zypp::sat::operator= (const SolvableSpec &)=default
SolvableSpec & | zypp::sat::operator= (SolvableSpec &&) noexcept=default
void | zypp::sat::addIdent (IdString ident_r)
| Add all sat::Solvable with this ident_r.
void | zypp::sat::addProvides (Capability provides_r)
| A all sat::Solvable matching this provides_r.
bool | zypp::sat::addIdenticalInstalledToo () const
| Extend the provides set to include idential installed items as well.
void | zypp::sat::addIdenticalInstalledToo (bool yesno_r)
void | zypp::sat::parse (const C_Str &spec_r)
| Parse and add spec from a string (IDENT or provides:CAPABILITY`).
void | zypp::sat::parseFrom (const InputStream &istr_r)
| Parse file istr_r and add its specs (one per line, #-comments).
template<class TIterator>
void | zypp::sat::parseFrom (TIterator begin, TIterator end)
| Parse and add specs from iterator range.
void | zypp::sat::splitParseFrom (const C_Str &multispec_r)
| Convenience using str::splitEscaped(", \t") to parse multiple specs from one line.
bool | zypp::sat::contains (const sat::Solvable &solv_r) const
| Test whether solv_r matches the spec.
template<class Derived>
bool | zypp::sat::contains (const SolvableType< Derived > &solv_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | zypp::sat::dirty () const
| Whether the cache is needed and dirty.
void | zypp::sat::setDirty () const
| Explicitly flag the cache as dirty, so it will be rebuilt on the next request.
bool | zypp::sat::empty () const
| Whether neither idents nor provides are set.
bool | zypp::sat::containsIdent (const IdString &ident_r) const
| Whether ident_r has been added to the specs (mainly for parser tests).
bool | zypp::sat::containsProvides (const Capability &provides_r) const
| Whether provides_r has been added to the sepcs (mainly for parser tests).
std::ostream & | zypp::sat::operator<< (std::ostream &str, const SolvableSpec &obj)

## Variables
RWCOW_pointer< Impl > | zypp::sat::_pimpl
| Implementation class.